%define version 2.6a
%define release 1mdk
%define name wwwoffle

Summary: WWW Offline Explorer - Caching Web Proxy Server
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Networking/Other
Source: wwwoffle-%{version}.tar.bz2
Source1: wwwoffle-initfile.bz2
Patch0: wwwoffle-2.3-config.diff.bz2
URL: http://www.gedanken.demon.co.uk/wwwoffle/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: htdig
 
%description
A proxy HTTP/FTP server for computers with dial-up internet access.
- Caching of pages viewed while connected for review later.
- Browsing of cached pages while not connected, with the ability
  to follow links and mark other pages for download.
- Downloading of specified pages non-interactively.
- Multiple indices of pages stored in cache for easy selection.
- Interactive or command line option to select pages for fetching
  individually or recursively.
- All options controlled using a simple configuration file with a
  web page to edit it.

%prep
%setup
%patch0 -p 0 -b .path

%build
make all \
	CFLAGS="$RPM_OPT_FLAGS"
	INSTDIR=/usr \
	SPOOLDIR=/var/spool/wwwoffle \
	CONFDIR=%{_sysconfdir} \
	MANDIR=%{_mandir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/var/spool/
mkdir -p $RPM_BUILD_ROOT/%{_initrddir}
mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}/cron.{daily,weekly}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man5,man8}

make install \
	INSTDIR=$RPM_BUILD_ROOT/usr \
	SPOOLDIR=$RPM_BUILD_ROOT/var/spool/wwwoffle \
	CONFDIR=$RPM_BUILD_ROOT/%{_sysconfdir} \
	MANDIR=$RPM_BUILD_ROOT/%{_mandir}
install -m 755 upgrade* $RPM_BUILD_ROOT/usr/sbin/

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_initrddir}/wwwoffled

cat > $RPM_BUILD_ROOT/%{_sysconfdir}/cron.weekly/%{name} <<EOF
#!/bin/sh
wwwoffle -purge
EOF

cat > $RPM_BUILD_ROOT/%{_sysconfdir}/cron.daily/%{name} <<EOF
#!/bin/sh
/var/spool/wwwoffle/html/htdig/scripts/wwwoffle-htdig-full
EOF

mv $RPM_BUILD_ROOT/usr/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1/ || :
mv $RPM_BUILD_ROOT/usr/man/man5/* $RPM_BUILD_ROOT%{_mandir}/man5/ || :
mv $RPM_BUILD_ROOT/usr/man/man8/* $RPM_BUILD_ROOT%{_mandir}/man8/ || :

perl -pi -e 's|'$RPM_BUILD_ROOT'||g' \
	$RPM_BUILD_ROOT/%{_sysconfdir}/wwwoffle.conf \
	$RPM_BUILD_ROOT/%{_mandir}/man5/wwwoffle.conf.5 \
	$RPM_BUILD_ROOT/var/spool/wwwoffle/html/htdig/conf/*.conf \
	$RPM_BUILD_ROOT/var/spool/wwwoffle/html/htdig/scripts/*

%post
/sbin/chkconfig --add wwwoffled
if [ $1 = 0 ]; then
	%{_initrddir}/wwwoffled start
fi

%preun
%{_initrddir}/wwwoffled status | grep running && %{_initrddir}/wwwoffled stop
if [ $1 = 0 ]; then    
	# execute this only if we are NOT doing an upgrade
	/sbin/chkconfig --del wwwoffled
fi          

%files
%defattr(-,root,root)
%dir /var/spool/wwwoffle
%dir /var/spool/wwwoffle/html
%doc /var/spool/wwwoffle/html/*
%dir /var/spool/wwwoffle/http
%dir /var/spool/wwwoffle/lasttime
%dir /var/spool/wwwoffle/monitor
%dir /var/spool/wwwoffle/outgoing
%doc README README.1st INSTALL NEWS ChangeLog README.CONF UPGRADE CHANGES.CONF
%doc CONVERT endian-cache contrib
%config(noreplace) %{_sysconfdir}/wwwoffle.conf
%attr(755,root,root) %config %{_initrddir}/wwwoffled
%attr(755,root,root) %config(missingok,noreplace) %{_sysconfdir}/cron.daily/%{name}
%attr(755,root,root) %config(missingok,noreplace) %{_sysconfdir}/cron.weekly/%{name}
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man8/*

%changelog
* Wed Feb 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.6a-1mdk
- updated to 2.6a

* Sun Sep 24 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.5e-5mdk
- more macros.

* Sat Sep 23 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.5e-4mdk
- noreplace for %%config.
- fixed path for files into /var/spool/wwwoffle.
- use of perl instead of sed for path fixing.
- added CFLAGS.
- pure in cron-weekly.
- added cron for htdig.
- added contrib to %doc.

* Sat Aug 26 2000 Ronan-Yann Lorin <ryl@linuxmandrake.com> 2.5e-3mdk
- cron task added  

* Tue Aug 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.5e-2mdk
- bm
- macros

* Thu Jul 27 2000 Ronan-Yann Lorin <ryl@free.fr> 2.5e-1mdk
- fix config file
- updated to 2.5e

* Thu May 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.4-2mdk
- fix group

* Fri Jul 16 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- uploaded to 2.4
- * Mon Jul 12 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- adapted to mandrake the rpm package of 
  Gianpaolo Macario <gianpi@geocities.com> 
